## com.thingmagic
Enum SerialReader.ReaderStatusFlag

    java.lang.Object
      java.lang.Enum<SerialReader.ReaderStatusFlag>
          com.thingmagic.SerialReader.ReaderStatusFlag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SerialReader.ReaderStatusFlag>

Enclosing class:
  SerialReader

    public static enum SerialReader.ReaderStatusFlag

extends java.lang.Enum<SerialReader.ReaderStatusFlag>

The statistics available for retrieval by cmdGetReaderStatistics.

Enum Constant Summary
`ALL`
`CURRENT_ANTENNAS`
`FREQUENCY`
`NOISE_FLOOR`
`TEMPERATURE`

Field Summary
`int` `value`

Method Summary
`static SerialReader.ReaderStatusFlag` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SerialReader.ReaderStatusFlag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOISE_FLOOR

    public static final SerialReader.ReaderStatusFlag NOISE_FLOOR

### FREQUENCY

    public static final SerialReader.ReaderStatusFlag FREQUENCY

### TEMPERATURE

    public static final SerialReader.ReaderStatusFlag TEMPERATURE

### CURRENT_ANTENNAS

    public static final SerialReader.ReaderStatusFlag CURRENT_ANTENNAS

### ALL

    public static final SerialReader.ReaderStatusFlag ALL

Field Detail

### value

    public int value

Method Detail

### values

    public static SerialReader.ReaderStatusFlag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SerialReader.ReaderStatusFlag c : SerialReader.ReaderStatusFlag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SerialReader.ReaderStatusFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null